#
# spec file for package python-jira
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-jira
Version:        1.0.15
Release:        lp150.1.1
Summary:        Python library for interacting with JIRA via REST APIs
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/pycontribs/jira
Source:         https://files.pythonhosted.org/packages/source/j/jira/jira-%{version}.tar.gz
BuildRequires:  %{python_module Sphinx}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module pbr >= 3.0.0}
BuildRequires:  %{python_module pytest-runner}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-defusedxml
Requires:       python-requests >= 2.10.0
Requires:       python-requests-oauthlib >= 0.6.1
Requires:       python-requests-toolbelt
Requires:       python-setuptools >= 20.10.1
Requires:       python-six >= 1.10.0
BuildArch:      noarch

%python_subpackages

%description
This library eases the use of the JIRA REST API from Python.

%prep
%setup -q -n jira-%{version}

%build
export LANG=en_US.UTF-8
%python_build

%install
export LANG=en_US.UTF-8
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc AUTHORS ChangeLog README.rst
%license LICENSE
%python3_only %{_bindir}/jirashell
%{python_sitelib}/*

%changelog
* Wed Apr 25 2018 tbechtold@suse.com
- update to 1.0.15:
  * Added applicationKeys parameter to add\_user (#549)
  * travis: assure prereleases are build only on master
  * Install tox-travis before using tox in the build
  * Corrected coverage execution
  * Add async support to fetch pages (#540)
  * Add support for custom session cookies to JIRA (#460)
  * Avoids AttributeError on Jira Error handling
  * travis: use service account for pypi
  * merge fixes develop branch
  * travis: pypi upload fixes
  * Implement cookie based authentication
  * gitignore: correct amps pattern fix
  * docs: replace issues shield badge
  * docs: build fixes
  * Fix README.rst images
  * Fix setup.cfg: UnicodeDecodeError
  * Add pbr >= 3.0.0 as a module dependency
  * Fix build scripts
  * jirashell: Import InteractiveShellEmbed depending on IPython version
  * Make OPTIONAL default and allowed value of mutual\_authentication
  * Add testing section to contributions
  * Update Contribution Guidlines to be more explicit
  * Place imports on separate lines
  * Touch ChangeLog To Fix PR Checks
  * Fix Continuous Integration Testing
  * Make Kerberos option mutual\_authentication configurable
  * Accept custom authentication URL
  * fixed linting errors
  * Update client.py
  * Allow through TRAVIS Environment Variables
  * Add worklog to transition\_issue()
  * Fixing move\_to\_backlog()
  * Fix bug
  * [client] Support JIRA.close()
  * add add\_user to role resource
  * added .idea/codeStyleSettings.xml to repo
  * contributing.rst: Update JIRA community link
  * contributing.rst: Remove reference to BitBucket
  * Include changelog in description
  * Move requirements extras to setup.cfg
  * #361 Made ipython a direct dependency
  * build logic and code cleanup
  * Fixed github deploy credentials
  * linting fixes
  * Forcing a rebuild
  * Pass integer ids when creating customer requests
  * Skip Service Desk tests on instances that don't support it
  * Pass ids when creating a customer request
  * Create Service Desk project during testing if it is missing
  * Add a test for create\_customer\_request
* Tue Feb 13 2018 tbechtold@suse.com
- Initial packaging (version 1.0.11)
